Cancel a vector store file batch
Cancel a vector store file batch. This attempts to cancel the processing of files in this batch as soon as possible.
Request
POST
https://ai.api.cloud.yandex.net/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}/cancel
Path parameters
|
Name |
Description |
|
batch_id |
Type: string The ID of the file batch to cancel. Example: `` |
|
vector_store_id |
Type: string The ID of the vector store that the file batch belongs to. Example: `` |
Responses
200 OK
OK
Body
application/json
{
"id": "example",
"object": "vector_store.files_batch",
"created_at": 0,
"vector_store_id": "example",
"status": "in_progress",
"file_counts": {
"in_progress": 0,
"completed": 0,
"failed": 0,
"cancelled": 0,
"total": 0
}
}
|
Name |
Description |
||||||||||
|
created_at |
Type: integer The Unix timestamp (in seconds) for when the vector store files batch was created. |
||||||||||
|
file_counts |
Type: object
Example
|
||||||||||
|
id |
Type: string The identifier, which can be referenced in API endpoints. Example: |
||||||||||
|
object |
Type: string The object type, which is always Const: Example: |
||||||||||
|
status |
Type: string The status of the vector store files batch, which can be either Enum: |
||||||||||
|
vector_store_id |
Type: string The ID of the vector store that the File is attached to. Example: |